export const event = {
    onPlace(event) {
        const { block } = event;
        const { x, y, z } = block.center();

        const direction = block.permutation.getState("minecraft:cardinal_direction");
        const entity = block.dimension.spawnEntity(block.typeId, { x: x, y: y - 0.5, z: z });
        entity.setProperty("sapphire_meteors:rotation", direction);

        if (block.typeId !== "sapphire_meteors:meteor_statue") return;

        block.dimension.spawnEntity("sapphire_meteors:meteor_statue_collision", { x: x, y: y + 0.625, z: z })
    }
};